> ## Documentation Index
> Fetch the complete documentation index at: https://docs.notifique.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar apps conectados

> Grants ativos (usuários que autorizaram apps no workspace). Escopo `oauth_apps:read`.



## OpenAPI

````yaml /es/oauth-api/api-reference/openapi-oauth.json get /v1/oauth/connections
openapi: 3.0.3
info:
  title: Notifique API. OAuth 2.1
  description: >-
    Authorization Server OAuth 2.1 con PKCE obligatorio. Registra clientes,
    autoriza usuarios y obtén access tokens para `/v1/*`. Issuer:
    `https://api.notifique.dev`.
  version: 1.0.0
servers:
  - url: https://api.notifique.dev
    description: Produção
security: []
tags:
  - name: Metadados
    description: Discovery RFC 8414, chaves públicas JWT e metadados do recurso MCP.
  - name: OAuth
    description: Registro de clientes, autorização, tokens e revogação.
  - name: OAuth Apps
    description: Apps OAuth do workspace (painel Developer → OAuth Apps).
paths:
  /v1/oauth/connections:
    get:
      tags:
        - OAuth Apps
      summary: Listar apps conectados
      description: >-
        Grants ativos (usuários que autorizaram apps no workspace). Escopo
        `oauth_apps:read`.
      operationId: ntfOauth_listConnections
      responses:
        '200':
          description: Lista de conexões.
          content:
            application/json:
              example:
                success: true
                data:
                  - id: clconn_01H...
                    appId: cloauthapp_01H...
                    appName: Meu SaaS
                    userEmail: user@empresa.com
                    scopes:
                      - email:send
                    createdAt: '2026-08-10T15:00:00.000Z'
              schema:
                $ref: '#/components/schemas/ntfOauth_ListConnectionsResponse'
        '401':
          $ref: '#/components/responses/NtfOauth_Unauthorized'
        '403':
          $ref: '#/components/responses/NtfOauth_Forbidden'
components:
  schemas:
    ntfOauth_ListConnectionsResponse:
      type: object
      properties:
        success:
          type: boolean
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              appId:
                type: string
              appName:
                type: string
              userEmail:
                type: string
              scopes:
                type: array
                items:
                  type: string
              createdAt:
                type: string
      example:
        success: true
        data:
          - id: clxx...
            appId: clxx...
            appName: string
            userEmail: string
            scopes:
              - string
            createdAt: string
    NtfOauth_Error:
      type: object
      properties:
        success:
          type: boolean
          example: false
        error:
          type: string
        message:
          type: string
        code:
          type: string
      example:
        success: false
        error: string
        message: string
        code: string
  responses:
    NtfOauth_Unauthorized:
      description: Chave ausente, inválida ou revogada.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfOauth_Error'
          example:
            success: false
            error: Unauthorized
            message: Invalid API key
            code: UNAUTHORIZED
    NtfOauth_Forbidden:
      description: Escopo ausente ou recurso fora da permissão da chave.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/NtfOauth_Error'
          example:
            success: false
            error: Forbidden
            message: Missing scope webhooks:manage
            code: FORBIDDEN

````